Skip to main content
GET
List conversations

Authorizations

Authorization
string
header
required

Organization-scoped Auth0 user access token issued to an approved first-party client or exchanged by a trusted OBO resource server.

Query Parameters

cursor
string
Required string length: 1 - 1024
limit
integer
default:25
Required range: 1 <= x <= 100
agentIds
string[]
Required array length: 1 - 50 elements

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
channelKinds
enum<string>[]
Required array length: 1 - 6 elements

Conversation transport family.

Available options:
voice,
whatsapp,
telegram,
slack,
email,
web
contactId
string

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

direction
enum<string>

Direction of a Conversation relative to the organization.

Available options:
inbound,
outbound
Example:

"inbound"

order
enum<string>
default:desc

Direction used by an explicitly selected resource sort.

Available options:
asc,
desc
Example:

"desc"

originKind
enum<string>

Source that created the Conversation record.

Available options:
inbound,
manual,
automation,
import,
test
Example:

"manual"

outcome
enum<string>

Structured business outcome assigned to a Conversation.

Available options:
successful,
unsuccessful,
follow_up_needed,
no_answer
Example:

"successful"

Required string length: 1 - 200
sentiment
enum<string>

Coarse sentiment assigned to a Conversation.

Available options:
positive,
neutral,
negative
Example:

"neutral"

sort
enum<string>
default:startedAt

Stable sort field for Conversation collection pages.

Available options:
startedAt,
createdAt,
lastMessageAt,
durationSeconds,
messageCount
Example:

"startedAt"

startedAfter
string<date-time>

ISO 8601 timestamp with an explicit UTC offset.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-08-29T14:30:00Z"

startedBefore
string<date-time>

ISO 8601 timestamp with an explicit UTC offset.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-08-29T14:30:00Z"

statuses
enum<string>[]
Required array length: 1 - 2 elements

Durable lifecycle state of a Conversation.

Available options:
open,
closed

Response

OK

items
Conversation summary · object[]
required
Maximum array length: 100
nextCursor
string | null
required
Required string length: 1 - 1024